# Retrieve attachment metadata

Use this endpoint to get basic information about an uploaded file, such as its name, type, and size.

Endpoint: POST /messages/attachments/metadata
Version: 3.2-Beta
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Request fields (application/json):

  - `conversation` (string)
    The unique identifier of the conversation

  - `accommodation` (string)
    The unique identifier of the property

  - `attachment` (string)
    The unique identifier of the attachment

## Response 200 fields (application/json):

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `data` (object)

  - `data.metadata` (object)

  - `data.metadata.file_size` (integer)
    The size of the attachment (up to 1MB)

  - `data.metadata.file_name` (string)
    The original file name.

  - `data.metadata.file_type` (string)
    The MIME type of the attachment. Note only the following image formats are supported: PNG, JPEG, and JPG.


